#include <cstdio>
#include <cmath>

using namespace std;

long long xd;

long long smarcin(long long x){
    long long i = 1;
    long long k = sqrtl(x);
    long long res = 0;

    long long w1, w2;

    w1 = x/i;
    w2 = x/(i+1);

    xd = 0;

    while(i < k){
        res += (w1-w2)*i;
        xd = i;
        w1 = w2;
        i++;
        w2 = x/(i+1);
    }

    return res;
}

long long calc(long long x){
    if(x == 0)
        return 0;

    long long res = 0;
    long long tmp;

    for(long long i = 1, tmp = x/i; tmp > xd && i <= x; ++i, tmp = x/i){
        res += tmp;
    }

    return res;
}

int main(){
    long long n, m;

    scanf("%lld%lld", &n, &m);

    printf("%lld\n", smarcin(m)+calc(m)-smarcin(n-1)-calc(n-1));

    return 0;
}